<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use App\Models\Account;

class ResellerServicesController extends Controller
{
	public function accounts()
	{
		return ['data'=>Auth::user()->all_accounts()->values()];
	}

	public function agents()
	{
		return ['data'=>Auth::user()->all_agents()->values()];
	}

	public function clients()
	{
		return ['data'=>Auth::user()->all_clients()->values()];
	}

	public function services(Request $request,Account $o)
	{
		return $o->services
			->filter(function($item) use ($request) {
				return $item->active || ($item->id == $request->include);
			});
	}

	public function service_inactive()
	{
		return ['data'=>Auth::user()->all_client_service_inactive()->values()];
	}
}