<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Host as ProductHost;

final class Host extends Type implements SupplierItem
{
	protected $table = 'supplier_host';

	/* INTERFACES */

	public function types()
	{
		return $this->belongsToMany(ProductHost::class,$this->table,'id','id','id',$this->table.'_id');
	}

	public function getBillingIntervalAttribute(): int
	{
		return 4;	// Yearly
	}
}