<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Voip as ProductVoip;

final class Voip extends Type implements SupplierItem
{
	protected $table = 'supplier_voip';

	/* INTERFACES */

	public function types()
	{
		return $this->belongsToMany(ProductVoip::class,$this->table,'id','id','id',$this->table.'_id');
	}

	public function getBillingIntervalAttribute(): int
	{
		return 1;	// Monthly
	}
}